import 'package:account_center/api/base_model.dart';
import 'package:flutter_clx_base/flutter_clx_base.dart';
import 'package:flutter_clx_base/widget/my_refresh_list_public.dart';

import 'company_manager_state.dart';

class CompanyManagerLogic extends GetxController {
  final CompanyManagerState state = CompanyManagerState();
  //list 控制器
  final MyListController listController = MyListController();
  //获取登录人当前产品的权限的公司
  void listLoginUserProductCompany(
      int page, int pageSize, SuccessCallback success, error) {
    fetchList(Method.get,
        url: HttpApi.listUserCompany, onSuccess: success, onError: error);
  }
}
